local set_narrator_orig = DialogManager.set_narrator
function DialogManager:set_narrator(narrator, force_narr)
	if force_narr then 
		if force_narr == 1 then
			narrator = "bain"
		elseif force_narr == 2 then
			narrator = "locke"
		elseif force_narr == 3 then
			self._narrator_prefix = "Play_"
			return
		end
	else
		local job_data = managers.job:current_job_data()
		local job_chain = managers.job:current_job_chain_data()
		local days = job_chain and #job_chain or 0
		local day = managers.job:current_stage()
		local narrator_type = FoSho:Stage_Narrator(job_data.name_id .. (days > 1 and day or ""))
		if narrator_type == 1 then
			narrator = "bain"
		elseif narrator_type == 2 then
			narrator = "locke"
		else	
			local fosho = math.random(0,100)
			if fosho < FoSho.locke_chance then
				narrator = "locke"
			else
				narrator = "bain"
			end
		end
		local menu = MenuHelper:GetMenu("FoSho_menu")._items_list
		if menu and menu[#menu]._type == "multi_choice" then
			menu[#menu]:set_value(narrator == "bain" and 1 or 2)
			menu[#menu]:set_enabled(true)
		end
	end
	if narrator == "locke" and not PackageManager:loaded("levels/narratives/bain/rvd/stage1/world_sounds") then
		PackageManager:load("levels/narratives/bain/rvd/stage1/world_sounds")
	end
	return set_narrator_orig(self, narrator)
end